//+------------------------------------------------------------------+
//|                                                        Bands.mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Blue
#property indicator_color2 Yellow
#property indicator_color3 Red
//---- indicator parameters
extern string Pair1 = "EURUSD_fx";
extern string Pair2 = "EURGBP_fx";
extern string Pair3 = "GBPUSD_fx";
extern int BandsPeriod = 20;
//---- buffers
double Pair1Buffer[];
double Pair2Buffer[];
double Pair3Buffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Pair1Buffer);
   SetIndexLabel(0,Pair1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,Pair2Buffer);
   SetIndexLabel(1,Pair2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,Pair3Buffer);
   SetIndexLabel(2,Pair3);
//----
   SetIndexDrawBegin(0,BandsPeriod);
   SetIndexDrawBegin(1,BandsPeriod);
   SetIndexDrawBegin(2,BandsPeriod);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Bollinger Bands                                                  |
//+------------------------------------------------------------------+
int start()
  {
   int    i,counted_bars=IndicatorCounted();

//----
   if(Bars<=BandsPeriod) return(0);
//---- initial zero
   if(counted_bars<1)
      for(i=1;i<=BandsPeriod;i++)
        {
         Pair1Buffer[Bars-i]=EMPTY_VALUE;
         Pair2Buffer[Bars-i]=EMPTY_VALUE;         
         Pair3Buffer[Bars-i]=EMPTY_VALUE;
        }
//----
   int limit=Bars-counted_bars;
   if(counted_bars>0) limit++;
   for(i=0; i<limit; i++)
   {
      Pair1Buffer[i]= iADX(Pair1, 0, 20,PRICE_CLOSE,MODE_SIGNAL, 0);
      Pair2Buffer[i]= iADX(Pair2, 0, 20,PRICE_CLOSE,MODE_SIGNAL, 0);
      Pair3Buffer[i]= iADX(Pair3, 0, 20,PRICE_CLOSE,MODE_SIGNAL, 0);
      RefreshRates();
      
      
   }
//----

//----
   return(0);
  }
//+------------------------------------------------------------------+